﻿@using Stream = twitch.api.Stream;
@model Stream
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

<h1>Stream edition</h1>
<form asp-action="Edit" asp-controller="Stream" method="post">
    <div class="mb-3">
        <label class="form-label">Title:</label>
        <input type="text" name="Title" value="@Model.Title" required/>
        <label class="form-label">Date:</label>
        <input type="datetime-local" name="Start" value="@Model.Start?.ToString("yyyy-MM-ddThh:mm")" required/>
        <input type="hidden" name="Id" value=@Model.Id />
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
</form>
